summaryrefslogtreecommitdiffstats
path: root/bash
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 16:16:20 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 16:16:20 +0100
commit6e8fb45c145b9ebae2d38349685de7960f05de1c (patch)
treec84a76acf9da29c9e4ae4db6326caff07ab6cb03 /bash
parent4e3b228f3b50a3b3a702e155b3edb58c30ea71c7 (diff)
Uploading script for downloading packages.
Script will download proper data. Change-Id: I57bfe723e2e142a2e63f931d7090628a73d0b1c1 Issue-ID: OOM-1551 Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
Diffstat (limited to 'bash')
-rw-r--r--bash/tools/creating_data/download-pkg.sh38
-rw-r--r--bash/tools/data_list/pkg_list.txt13
2 files changed, 51 insertions, 0 deletions
diff --git a/bash/tools/creating_data/download-pkg.sh b/bash/tools/creating_data/download-pkg.sh
new file mode 100644
index 00000000..2a5290ca
--- /dev/null
+++ b/bash/tools/creating_data/download-pkg.sh
@@ -0,0 +1,38 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+outdir="$1"
+if [[ -z "$outdir" ]]; then
+ echo "Missing output dir"
+ exit 1
+fi
+# if onap.repo does not exists create it
+mkdir -p $outdir
+if [ ! -f "$outdir/onap.repo" ]; then
+ cat > "$outdir/onap.repo" <<EOF
+[ONAP]
+name=Offline ONAP repository
+baseurl=PATH
+enabled=1
+gpgcheck=0
+EOF
+fi
+# this exact docker version is required by ONAP/beijing
+# it should be available in centos docker repo
+yumdownloader --resolve --destdir="$outdir" docker-ce-17.03.2.ce libtool-ltdl docker-ce-selinux
+yumdownloader --resolve --destdir="$outdir" dnsmasq icewm firefox tigervnc-server perl*
+createrepo "$outdir"
diff --git a/bash/tools/data_list/pkg_list.txt b/bash/tools/data_list/pkg_list.txt
new file mode 100644
index 00000000..43f5aac5
--- /dev/null
+++ b/bash/tools/data_list/pkg_list.txt
@@ -0,0 +1,13 @@
+ftp.ubuntu.com/ubuntu/ubuntu/pool/universe/a/ansible/ansible_2.0.0.2-2_all.deb
+ftp.ubuntu.com/ubuntu/ubuntu/pool/main/i/ieee-data/ieee-data_20150531.1_all.deb
+ftp.pl.debian.org/debian/pool/main/liby/libyaml/libyaml-0-2_0.1.6-3_amd64.deb
+security.ubuntu.com/ubuntu/pool/main/p/python-crypto/python-crypto_2.6.1-6ubuntu0.16.04.3_amd64.deb
+archive.ubuntu.com/ubuntu/pool/universe/p/python-ecdsa/python-ecdsa_0.13-2_all.deb
+archive.ubuntu.com/ubuntu/pool/main/p/python-httplib2/python-httplib2_0.9.1+dfsg-1_all.deb
+archive.ubuntu.com/ubuntu/pool/main/j/jinja2/python-jinja2_2.8-1_all.deb
+de.archive.ubuntu.com/ubuntu/pool/main/m/markupsafe/python-markupsafe_0.23-2build2_amd64.deb
+archive.ubuntu.com/ubuntu/pool/main/p/python-netaddr/python-netaddr_0.7.18-1_all.deb
+archive.ubuntu.com/ubuntu/pool/main/p/paramiko/python-paramiko_1.16.0-1ubuntu0.1_all.deb
+ftp.ubuntu.com/ubuntu/pool/universe/libs/libselinux/python-selinux_2.2.2-1_amd64.deb
+archive.ubuntu.com/ubuntu/pool/main/s/six/python-six_1.10.0-3_all.deb
+archive.ubuntu.com/ubuntu/pool/main/p/pyyaml/python-yaml_3.11-3build1_amd64.deb